Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Noam Postavsky <[email-masked]>
Date: Mon, 23 Jul 2018 08:22:21 -0400

tags 30190 fixed
close 30190 26.2
quit

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Tino Calancha <[email-masked]>
>> Date: Sun, 22 Jul 2018 14:33:18 -0400
>> 
>> Stefan Monnier <[email-masked]> writes:
>> 
>> >> -    (setq str (term-read-noecho "Non-echoed text: " t)))
>> >> +    (setq str (read-passwd "Non-echoed text: ")))
>> >
>> > I believe this remove the last use of term-read-noecho, so I think we
>> > can then get rid of it (or at least mark it obsolete).
>> 
>> Makes sense.  I guess the obsoletion should go to master?
>> 
>> Eli, is the patch in #131 okay for emacs-26?
>> 
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30190#131
>
> Yes, thanks.

Pushed to emacs-26.

[1: 2b70b54739]: 2018-07-23 08:20:07 -0400
  Prevent line-mode term from showing user passwords
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2b70b54739a8a422aff85f0183fb69eb339c35d4